models/Noticias.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "noticias".
 *
 * @property int $id
 * @property string $titulo
 * @property string $texto
 */
class Noticias extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'noticias';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['titulo'], 'required'],
            [['texto'], 'string'],
            [['titulo'], 'string', 'max' => 255],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'titulo' => 'Titulo',
            'texto' => 'Texto',
        ];
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\web\Controller;
use yii\web\Response;
use app\models\Noticias;
use yii\data\ActiveDataProvider;



class SiteController extends Controller
{
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
        ];
    }

    public function actionIndex(){
        $consulta = Noticias::find();
        $salidaArrayObjetos=$consulta->all();
 
        return $this->render('index',[
            'noticias'=>$salidaArrayObjetos,
        ]);
        
    }
    
    public function actionNoticias(){
        $dataProvider = new ActiveDataProvider([
            'query' => Noticias::find(),
        ]);
        
        return $this->render('noticias', [
            'dataProvider' => $dataProvider,
        ]);
    }
    
    public function actionNoticias1(){
        $salida = Noticias::find()->all();
        return $this->render('noticias', [
            'datos' => $salida,
        ]);
    }
    
    public function actionNoticias2(){
        $salida = Noticias::find()
                ->where(["titulo"=>0])
                ->all();
        return $this->render('noticias', [
            'datos' => $salida,
        ]);
    }

}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?= Html::csrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-inverse navbar-fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-right'],
        'items' => [
            ['label' => 'Inicio', 'url' => ['/site/index']],
            ['label' => 'Noticias', 'url' => ['/site/noticias']],
        ],
    ]);
    NavBar::end();
    ?>

    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <p class="pull-left">&copy; I. Garrote - Alpe Formación 2018</p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/_noticias.php
<div class="col-sm-12 col-md-6 p-2 bg-danger">
    <div class="thumbnail">
      <div class="caption">
        <h3 class="alert alert-danger"><?= $titulo; ?></h3>
        <p><?= $texto; ?></p>
      </div>
    </div>
 </div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */

$this->title = 'Ejemplo 1 - Yii 2';

?>
<div class="container">
    <div class="row row-flex row-flex-wrap">
        <?php
        $div = '<div class="clearfix"></div>';
        foreach ($noticias as $k => $noticia) {
            echo $this->render("_noticias", [
                "titulo" => $noticia->titulo,
                "texto" => $noticia->texto,
                
            ]);
        }
        ?>
    </div>
</div>

views/site/noticias.php
<?php
/* @var $this yii\web\View */

use yii\helpers\Html;
use yii\grid\GridView;

$this->title = 'Noticias';
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="site-index">

    <h1><?= Html::encode($this->title) ?></h1>

    <?=
    GridView::widget([
        'dataProvider' => $dataProvider,
        'columns' => [
            'id',
            'titulo',
            'texto',
            
            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]);
    ?>
</div>